<div class="inner-form mb-0" id="divclick" hidden>

</div>


<div class="detail-block d-none d-sm-block pt-2" *ngIf="show && !isSPI">

  <label><strong>Details</strong></label>


</div>

<div class="contenu-card" *ngIf="show && !isSPI">
  <div class="text-card">
    <label><strong>Vehicule :</strong></label>
  </div>
  <div class="scroll-card">
    <div class="row d-flex justify-content-between  pl-2">
      <div class="col-md-3 d-flex pr-0">
        <div class="image-container pl-0">
          <img [src]="'assets/img/vehic.png'" width="75px" height="75px" />
        </div>
      </div>
      <div class="col-md-7 justify-content-center flex-column text-header-content pl-0">
        <p class=" pl-0 pr-0" style="overflow: hidden;text-transform: capitalize;
        white-space: nowrap;
        text-overflow: ellipsis;
        max-width: 250px;">
          {{Vehicule.NomC}}</p>
        <p class="  pl-0 pr-0"><small><strong>VRN:{{Vehicule.vrn}}</strong> </small></p>
        <p class=" pl-0 pr-0"><small><strong>VIN:{{Vehicule.vin}}</strong></small></p>
      </div>
      <div class="col-md-2 d-flex pr-0" *ngIf="Vehicule.activite==5">
        <img src="assets/img/cond.svg" width="19" height="19">
      </div>
      <div class="col-md-2 d-flex pr-0" *ngIf="Vehicule.activite==3">
        <img src="assets/img/mad.svg" width="19" height="19">
      </div>
      <div class="col-md-2 d-flex pr-0" *ngIf="Vehicule.activite==2">
        <img src="assets/img/coup.svg" width="19" height="19">
      </div>
      <div class="col-md-2 d-flex pr-0" *ngIf="Vehicule.activite==4">
        <img src="assets/img/trav.svg" width="19" height="19">
      </div>
      <div class="col-md-2 d-flex pr-0" *ngIf="Vehicule.activite==1 || Vehicule.activite==0">
        <mat-icon>error</mat-icon>
      </div>

    </div>
    <mat-accordion>
      <mat-expansion-panel [expanded]="true">
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;"> Position </strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <p class="pl-3 pr-3 d-flex justify-content-between">{{adress}} <i class="fa fa-thumb-tack" aria-hidden="true"
            style="color: #354360;"></i></p>
        <p class="pl-3 pr-3 pt-2 d-flex justify-content-between">{{Vehicule.positionX}} ,
          {{Vehicule.positionY}} <i class="fa fa-map-marker" aria-hidden="true" style="color: #354360;"></i></p>
        <p class="pl-3 pt-2 pr-3 d-flex justify-content-between">Ajouter au carnet d'adresses<i class="fa fa-plus"
            aria-hidden="true" style="color: #354360;" (click)="open(Vehicule.positionY,Vehicule.positionX)"></i>
        </p>
      </mat-expansion-panel>
      <mat-expansion-panel expanded>
        <mat-expansion-panel-header class="back-color-blue" (click)="fetchCumuleActivite()">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;">Activités</strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="pl-3 pb-2">
          <p>Activite :</p>
          <strong *ngIf="Vehicule.activite==5">
            <div class=" w-100 carre-color-vert">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/cond.svg" width="14" height="14">Conduite</p>
            </div>
          </strong>
          <strong *ngIf="Vehicule.activite==3">
            <div class=" w-100 carre-color-jaune">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/mad.svg" width="14" height="14">M.A.D</p>
            </div>
          </strong>
          <strong *ngIf="Vehicule.activite==2">
            <div class=" w-100 carre-color-blue">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/coup.svg" width="14" height="14">coupure</p>
            </div>
          </strong>
          <strong *ngIf="Vehicule.activite==4">
            <div class=" w-100 carre-color-rose">
              <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                  src="assets/img/trav.svg" width="14" height="14">Travail</p>
            </div>
          </strong>

        </div>

        <!--
 <div class="back-color-blue-m pt-2 pb-2 pl-0 pr-0">Conducteur:{{Vehicule.NomC}}</div>
      -->
        <div class="back-color-blue-m pt-2 pb-2 pl-0 pr-0">Cumul pour :<strong> {{dateJourCurrent}}</strong></div>
        <div class="scroll-zone-carre">
          <div class="row mt-1">
            <div class="col-md-3">
              <div class=" carre-color-vert">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/cond.svg" width="14" height="14">Conduite
                </p>
                <p class="pt-1 font-weight-bolder">{{Cumule.c}}</p>
              </div>

            </div>
            <div class="col-md-3">
              <div class="  carre-color-rose">
                <p class="pt-1 d-flex justify-content-center align-items-center">
                  <img class="mr-1" src="assets/img/trav.svg" width="14" height="14">Travail
                </p>
                <p class="pt-1 font-weight-bolder">{{Cumule.t}}</p>
              </div>

            </div>
            <div class="col-md-3">
              <div class=" carre-color-jaune">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/mad.svg" width="14" height="14">M.A.D</p>
                <p class="pt-1 font-weight-bolder">{{Cumule.m}}</p>
              </div>

            </div>
            <div class="col-md-3">
              <div class=" carre-color-blue">
                <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                    src="assets/img/coup.svg" width="14" height="14">Coupure</p>
                <p class="pt-1 font-weight-bolder">{{Cumule.cp}}</p>
              </div>

            </div>
          </div>
        </div>
      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;">Technique</strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <p class="pl-3 pr-3 d-flex justify-content-between"><span> Parcouru Jour / Semaine</span> <span>Fuel
            Level</span></p>
        <p class="pl-3 pr-3 d-flex justify-content-between"><span>Remorque AB-123-AB </span> <strong>28% <img
              src="assets/img/carbura.png"></strong></p>
        <p class="pl-3 pr-3 d-flex justify-content-between">Autres : Voyants </p>

      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;">A Proximité</strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="m-nega">

          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Personnes
              </mat-panel-title>
              <mat-panel-description>

              </mat-panel-description>
            </mat-expansion-panel-header>
          </mat-expansion-panel>

          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Vehicules
              </mat-panel-title>
              <mat-panel-description>

              </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-expansion-panel *ngFor="let item of VehiculesAproxlist">
              <mat-expansion-panel-header class="back-color-blue">
                <mat-panel-title>
                  <div class="image-container pl-1 pr-0 ">
                    <strong style="color: #314362;">{{item.Immatriculation.Vrn}}</strong>
                  </div>
                </mat-panel-title>
                <mat-panel-description>

                </mat-panel-description>
              </mat-expansion-panel-header>
              <div class="row d-flex justify-content-between">
                <div class="col-md-12 d-flex">
                  <img class="mr-0 pointer" src="assets/img/consultation.svg" width="21" height="21"
                    (click)="openDetailVehicule(item.Immatriculation.Vrn)" alt="Detaile Vehicule">

                  <div class="col-md-4 pl-1 pr-0" *ngIf="item.Conducteur.activite==5">
                    <div class=" h-15 w-60 carre-color-vert">
                      <p class="pt-1 d-flex justify-content-center align-items-center">
                        <img class="mr-1" src="assets/img/volant-noir.png" width="14" height="14">Conduite
                      </p>

                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0" *ngIf="item.Conducteur.activite==3">
                    <div class="h-15 w-60 carre-color-jaune">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/ba.png" width="14" height="14">M.A.D</p>
                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0" *ngIf="item.Conducteur.activite==2">
                    <div class="h-15 w-60 carre-color-blue">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/lit.png" width="14" height="14">Coupure</p>

                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0" *ngIf="item.Conducteur.activite==4">
                    <div class="h-15 w-60 carre-color-rose">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/cr.png" width="14" height="14">Travail</p>

                    </div>

                  </div>
                </div>




                <div class="col-md-12 justify-content-center flex-column text-header-content">
                  <p class="  pl-0 pr-0"><strong style="color: #314362;">Position</strong>:
                    {{item.Position.Lat}}{{item.Position.Lng}}</p>
                  <p class="  pl-0 pr-0" style="overflow: hidden;text-transform: capitalize;
                  white-space: nowrap;
                  text-overflow: ellipsis;
                  max-width: 250px;">
                    <strong style="color: #314362;">Conducteur</strong> :
                    {{item.Conducteur.NomConducteur!='' ? item.Conducteur.NomConducteur
                    :(item.Conducteur.numCartConducteur!=null?item.Conducteur.numCartConducteur:'Conducteur inconnu')}}
                  </p>
                </div>


              </div>
            </mat-expansion-panel>


          </mat-expansion-panel>


          <mat-expansion-panel (click)="apro()">
            <mat-expansion-panel-header>
              <mat-panel-title>
                POIs
              </mat-panel-title>
              <mat-panel-description>

              </mat-panel-description>
            </mat-expansion-panel-header>
            <div *ngFor="let item of adrApro">
              <p>Client : {{item.nomclient}}</p>

            </div>

          </mat-expansion-panel>



        </div>
      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;">Tournées</strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>

          </mat-panel-description>
        </mat-expansion-panel-header>

        <mat-expansion-panel *ngFor="let item of tournees; let l = count" (opened)="sendtournees(item)"
          (closed)="Closedpanel()">
          <mat-expansion-panel-header class="back-color-blue">
            <mat-panel-title>
              <p style="color: #314362;"><strong style="color: #314362;">{{item.referenceOT}}</strong></p>
            </mat-panel-title>

          </mat-expansion-panel-header>
          <div class="row content">
            <div class="col-6">
              <p><small style="color: #314362;">Debut :</small><small> {{item.dateDebut}}</small></p>
            </div>
            <div class="col-5.5">
              <p><small style="color: #314362;">Fin :</small> <small>{{item.dateFin}} </small> </p>
            </div>
            <div class="col-1"> <img class="mr-0 pointer" src="assets/img/planing.svg" width="23" height="23"
                (click)="navigateToPlaning()"></div>
          </div>


          <div style="display: block;">
            <div *ngFor="let it of item.enlevementLivraisons" style="margin: auto;">
              <div *ngIf="it.isEnlevement"
                style="border-top:7px solid rgb(60, 119, 255); margin-bottom: 7px; border-radius: 7px; box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;">
                <div style="margin: 5px;">

                  <div class="row content">

                    <div class="col-10">
                      <h5 style="color: #314362;"><strong>{{it.expedition.adresse1}}</strong></h5>
                    </div>
                    <div class="col-1 pointer"><img class="mr-0" src="assets/img/consultation.svg" width="21"
                        height="21" (click)="navigateToCommande(it.commandeId)"></div>

                  </div>
                  <div class="row content">
                    <div class="col-10">
                      <h6 style="color: #314362;"> <strong> Avant:{{it.expedition.dateSouhaite}}</strong></h6>
                    </div>
                    <div class="col-1"><img class="mr-0" src="assets/img/Group 18974.svg" width="21" height="21"></div>

                  </div>
                  <div class="row content">
                    <div class="col-7">
                      <h6 style="color: #314362;"><strong>{{it.poids}}T / {{it.mlp}}MLP /{{it.volume ? it.volume : 0 }}
                          M² </strong></h6>
                    </div>
                    <div class="col-5 ">
                      <p style="color: rgba(202, 202, 202, 0.695);">N°:{{it.numCommande}}</p>
                    </div>

                  </div>


                </div>
              </div>
              <div *ngIf="!it.isEnlevement"
                style="border-top:7px solid rgb(91, 255, 91); margin-bottom: 7px; border-radius: 7px; box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;">
                <div style="margin: 5px;">
                  <div class="row content">

                    <div class="col-10">
                      <h5 style="color: #314362;"><strong>{{it.livraison.adresse1}}</strong></h5>
                    </div>
                    <div class="col-1 pointer"><img class="mr-0 pointer" src="assets/img/consultation.svg" width="21"
                        height="21" (click)="navigateToCommande(it.commandeId)"></div>

                  </div>
                  <div class="row content">
                    <div class="col-10">
                      <h6 style="color: #314362;"> <strong> Avant:{{it.livraison.dateSouhaite}}</strong></h6>
                    </div>
                    <div class="col-1"><img class="mr-0 " src="assets/img/Group 18974.svg" width="21" height="21"></div>

                  </div>

                  <div class="row content">
                    <div class="col-7">
                      <h6 style="color: #314362;"><strong>{{it.poids}}T / {{it.mlp}}MLP /{{it.volume ? it.volume : 0 }}
                          M² </strong></h6>
                    </div>
                    <div class="col-5">
                      <p style="color: rgba(202, 202, 202, 0.695);">N°:{{it.numCommande}}</p>
                    </div>

                  </div>


                </div>

              </div>

            </div>



          </div>





        </mat-expansion-panel>






      </mat-expansion-panel>
    </mat-accordion>

  </div>


</div>
<!-- partie Spi-->
<div class="detail-block d-none d-sm-block" *ngIf="show && isSPI">
  <label><strong>Details</strong></label>
</div>
<div class="contenu-card" *ngIf="show && isSPI">
  <div class="text-card">
    <label><strong>SPI :</strong></label>
  </div>
  <div class="scroll-card">
    <div class="row d-flex justify-content-between  pl-2">
      <div class="col-md-3 d-flex pr-0">
        <div class="image-container pl-0">
          <img [src]="'assets/img/user.png'" width="75px" height="75px" />
        </div>
      </div>
      <div class="col-md-7 justify-content-center flex-column text-header-content pl-0">
        <p class="  pl-0 pr-0"><small><strong>Nom:{{Vehicule.vrn}}</strong> </small></p>
        <p class=" pl-0 pr-0"><small><strong>Prenom:{{Vehicule.vin}}</strong></small></p>
      </div>
      <div class="col-md-2 d-flex pr-0">
        <img src="assets/img/homme.png" width="19px" height="19px">
      </div>
    </div>
    <mat-accordion>
      <mat-expansion-panel [expanded]="true">
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;"> Position </strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>
          </mat-panel-description>
        </mat-expansion-panel-header>
        <p class="pl-3 pr-3 d-flex justify-content-between">{{adress}} <i class="fa fa-thumb-tack" aria-hidden="true"
            style="color: #354360;"></i></p>
        <p class="pl-3 pr-3 pt-2 d-flex justify-content-between">{{Vehicule.positionX}} ,
          {{Vehicule.positionY}} <i class="fa fa-map-marker" aria-hidden="true" style="color: #354360;"></i></p>
        <p class="pl-3 pt-2 pr-3 d-flex justify-content-between">Ajouter au carnet d'adresses<i class="fa fa-plus"
            aria-hidden="true" style="color: #354360;" (click)="open(Vehicule.positionY,Vehicule.positionX)"></i>
        </p>
      </mat-expansion-panel>
      <mat-expansion-panel>
        <mat-expansion-panel-header class="back-color-blue">
          <mat-panel-title>
            <p style="color: #314362;"><strong style="color: #314362;">A Proximité</strong>
            </p>
          </mat-panel-title>
          <mat-panel-description>
          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="m-nega">
          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Personnes
              </mat-panel-title>
              <mat-panel-description>

              </mat-panel-description>
            </mat-expansion-panel-header>
          </mat-expansion-panel>
          <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                Vehicules
              </mat-panel-title>
              <mat-panel-description>

              </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-expansion-panel *ngFor="let item of VehiculesAproxlist">
              <mat-expansion-panel-header class="back-color-blue">
                <mat-panel-title>
                  <div class="image-container pl-1 pr-0 ">
                    <strong style="color: #314362;">{{item.Immatriculation.Vrn}}</strong>
                  </div>
                </mat-panel-title>
                <mat-panel-description>

                </mat-panel-description>
              </mat-expansion-panel-header>
              <div class="row d-flex justify-content-between">
                <div class="col-md-12 d-flex">
                  <img class="mr-0 pointer" src="assets/img/consultation.svg" width="21" height="21"
                    (click)="openDetailVehicule(item.Immatriculation.Vrn)" alt="Detaile Vehicule">

                  <div class="col-md-4 pl-1 pr-0" *ngIf="item.Conducteur.activite==5">
                    <div class=" h-15 w-60 carre-color-vert">
                      <p class="pt-1 d-flex justify-content-center align-items-center">
                        <img class="mr-1" src="assets/img/volant-noir.png" width="14" height="14">Conduite
                      </p>

                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0" *ngIf="item.Conducteur.activite==3">
                    <div class="h-15 w-60 carre-color-jaune">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/ba.png" width="14" height="14">M.A.D</p>
                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0" *ngIf="item.Conducteur.activite==2">
                    <div class="h-15 w-60 carre-color-blue">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/lit.png" width="14" height="14">Coupure</p>

                    </div>

                  </div>
                  <div class="col-md-4 pl-1 pr0" *ngIf="item.Conducteur.activite==4">
                    <div class="h-15 w-60 carre-color-rose">
                      <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                          src="assets/img/cr.png" width="14" height="14">Travail</p>

                    </div>

                  </div>
                </div>




                <div class="col-md-12 justify-content-center flex-column text-header-content">
                  <p class="  pl-0 pr-0"><strong style="color: #314362;">Position</strong>:
                    {{item.Position.Lat}}{{item.Position.Lng}}</p>
                  <p class="  pl-0 pr-0" style="overflow: hidden;text-transform: capitalize;
                  white-space: nowrap;
                  text-overflow: ellipsis;
                  max-width: 250px;">
                    <strong style="color: #314362;">Conducteur</strong> :
                    {{item.Conducteur.NomConducteur!='' ? item.Conducteur.NomConducteur
                    :(item.Conducteur.numCartConducteur!=null?item.Conducteur.numCartConducteur:'Conducteur inconnu')}}
                  </p>
                </div>


              </div>
            </mat-expansion-panel>
          </mat-expansion-panel>
          <mat-expansion-panel (click)="apro()">
            <mat-expansion-panel-header>
              <mat-panel-title>
                POIs
              </mat-panel-title>
              <mat-panel-description>

              </mat-panel-description>
            </mat-expansion-panel-header>
            <div *ngFor="let item of adrApro">
              <p>Client : {{item.nomclient}}</p>
            </div>
          </mat-expansion-panel>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
</div>
<ng-template #content let-c="close" let-d="dismiss">
  <app-modal [d]="d" [c]="c"></app-modal>
</ng-template>